Summary: Japanese Code Conversion Library
Name: libjconv
Version: 2.9
Release: 2m
License: LGPL
Group: System Environment/Libraries
Source: http://ghost.math.sci.hokudai.ac.jp/misc/%{name}/%{name}-%{version}.tar.gz
# NoSource: 0
URL: http://ghost.math.sci.hokudai.ac.jp/misc/libjconv/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: glibc >= 2.1.0

%description
This package provide Japanese Code Conversion capability based on iconv.

%prep
%setup -q

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT/etc/libjconv
install -m 755 libjconv.so $RPM_BUILD_ROOT/usr/lib
install -m 644 libjconv.a $RPM_BUILD_ROOT/usr/lib
install -m 755 jconv $RPM_BUILD_ROOT/usr/bin
install -m 644 jconv.h $RPM_BUILD_ROOT/usr/include
install -m 644 default.conf $RPM_BUILD_ROOT/etc/libjconv

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc libjconv.html README.old COPYING
/usr/lib/libjconv.so
/usr/lib/libjconv.a
/usr/bin/jconv
/usr/include/jconv.h
%config /etc/libjconv

%changelog
* Sat Jan 4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9-2m)
- change to No NoSource

* Tue Jul 23 2002 kourin <kourin@momonga-linux.org>
- (2.9-1m)
- ver up to 2.9
- change to nosource

* Wed Dec 19 2001 Akira Higuchi <a-higuti@math.sci.hokudai.ac.jp>
- version 2.9
- minor bug fixes

* Wed Nov 21 2001 Shingo Akagaki <dora@kondara.org>
- version 2.8.1
- fixup README from vine-users:030436

* Sat Aug  5 2000 Akira Higuchi <a@kondara.org>
- version 2.8
- use nl_langinfo(CODESET)

* Fri Jun 30 2000 Akira Higuchi <a@kondara.org>
- version 2.7
- added data for UTF-8 locales

* Fri Apr 14 2000 Akira Higuchi <a@kondara.org>
- version 2.5

* Thu Apr  6 2000 Akira Higuchi <a@kondara.org>
- version 2.3

* Sun Feb 27 2000 Akira Higuchi <a@kondara.org>
- added libjconv.a
- fixed a bug in jconv_strdup_conv_autodetect()

* Mon Feb  7 2000 Akira Higuchi <a@kondara.org>
- major version up.

* Sun Feb  6 2000 Shingo Akagaki <dora@kondara.org>
- version up.

* Wed Jan 15 2000 Toru Hoshina <t@kondara.org>
- version up.

* Sat Dec 11 1999 Akira Higuchi <a@kondara.org>
- convert_kanji(): write reset sequences for state-dependent encodings

* Mon Nov  8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Sep 29 1999 Toru Hoshina <hoshina@best.com>
- fixed Nie-a bug :-P

* Thu Sep 23 1999 Toru Hoshina <hoshina@best.com>
- localedata-ja is no longer required because we decide to provide our own
  glibc including localedata-ja !!

* Sun Aug 29 1999 Toru Hoshina <hoshina@best.com>
- 1st release.
